picard.illumina.parser

## Class MultiTileFilterParser

- java.lang.Object
- - picard.illumina.parser.MultiTileParser<picard.illumina.parser.PfData>
  - - picard.illumina.parser.MultiTileFilterParser

-     public class MultiTileFilterParser
      extends MultiTileParser<picard.illumina.parser.PfData>

  Read filter file that contains multiple tiles in a single file. A tile index is needed to parse this file so that {tile number, cluster number} can be converted into absolute record number in file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiTileFilterParser(TileIndex tileIndex, List<Integer> requestedTiles, File filterFile)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`

    - ### Methods inherited from class picard.illumina.parser.MultiTileParser

      `getTileOfNextCluster, hasNext, next, remove, seekToTile, supportedTypes, verifyData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### MultiTileFilterParser

          public MultiTileFilterParser(TileIndex tileIndex,
                                       List<Integer> requestedTiles,
                                       File filterFile)

  - ### Method Detail

    - #### close

          public void close()